aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-pep8-naming/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-05 21:14:58 +0000
committerBartłomiej Piotrowski <b@bpiotrowski.pl>2013-09-08 14:35:47 +0200
commit5b45b04310374d8f9e9b760e244b4a83475b555f (patch)
treee0c48be64851327ca10fd883410f496218ca09e2 /testing/py-pep8-naming/APKBUILD
parent6a5d1b1951c05dde82b5d74d83aceb940d2daa9c (diff)
downloadaports-5b45b04310374d8f9e9b760e244b4a83475b555f.tar.gz
aports-5b45b04310374d8f9e9b760e244b4a83475b555f.tar.bz2
aports-5b45b04310374d8f9e9b760e244b4a83475b555f.tar.xz
testing/py-pep8-naming: new aport
Check PEP-8 naming conventions plugin for flake8 https://github.com/flintwork/pep8-naming
Diffstat (limited to 'testing/py-pep8-naming/APKBUILD')
-rw-r--r--testing/py-pep8-naming/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-pep8-naming/APKBUILD b/testing/py-pep8-naming/APKBUILD
new file mode 100644
index 0000000000..f24e6b12ca
--- /dev/null
+++ b/testing/py-pep8-naming/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-pep8-naming
+_pkgname=pep8-naming
+pkgver=0.2.1
+pkgrel=0
+pkgdesc="Check PEP-8 naming conventions plugin for flake8"
+url="https://github.com/flintwork/pep8-naming"
+arch="noarch"
+license="MIT"
+depends="python py-flake8"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="9702cf8ff42c93c4eefa4fda8031e32d pep8-naming-0.2.1.tar.gz"
+sha256sums="96a27240a08e0c73add1cf6d3191dbc566a6b097c9ea110761d11ce39af44077 pep8-naming-0.2.1.tar.gz"
+sha512sums="f1bd7a3eb430b88a366f2b8bc0d10df5a1efe49b3303f2bd55066c5f5cb790d14e149ad09e3decffefa1cd4cbe5420240b307885262d442e786dcf272e56f3a6 pep8-naming-0.2.1.tar.gz"